package it.master.intentcallsample;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

public class IntentCallSampleActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }

public void callNumber(View view) {
	TextView numberField = (TextView) findViewById(R.id.number);
	Intent intent = new Intent();
	intent.setAction(Intent.ACTION_CALL);
	intent.setData(Uri.parse("tel:" + numberField.getText())); // set the Uri
	
	//startActivity(intent);
	
	try{
		startActivity(intent);
	}
	catch(Exception e){
		Log.i("CALL", e.toString());
		Toast.makeText(this, "Errore", Toast.LENGTH_LONG).show();
        finish();
    }
}
}